{% extends '_layouts/default' %}

{% block contents %}
{% set query = craft.request.getParam('q') %}
{% set results = craft.weightedSearch.substringSearch(query, ['blog', 'videos', 'pages']) %}
    <div class="search-top wrap bg-darkblue">
        <div class="row full-width animatedParent animateOnce">
            <div class="columns small-12">
                <div class="centered">
                    <h1 class="animated fadeInDownShort">Search results for <span>"{{ query }}"</span></h1>
                </div>
            </div>
        </div>
    </div>
    {% if results %}
        <div class="search-lists wrap">
            <div class="row animatedParent animateOnce">
                <div class="columns small-12">
                    <div class="search-lists holder">
                        {% for searchResult in results %}
                            {% if searchResult.entry.featuredImage | length %}
                                <div class="search-lists results animated fadeInUpShort wdimg">
                                    <div class="search-lists results image">
                                        {% for asset in searchResult.entry.featuredImage %}
                                        <a href="{{ searchResult.entry.url }}"><img src="{{asset.getUrl('searchImage')}}" alt=""></a>
                                        {% endfor %}
                                    </div>
                                    <div class="search-lists results content">
                                        <h2><a href="{{ searchResult.entry.url }}">{{ searchResult.entry.title }}</a></h2>
                                        <p>{{ searchResult.excerpt|raw }}</p>
                                    </div>
                                </div>
                            {% else %}
                                <div class="search-lists results animated fadeInUpShort">
                                    <div class="search-lists results content">
                                        <h2><a href="{{ searchResult.entry.url }}">{{ searchResult.entry.title }}</a></h2>
                                        <p>{{ searchResult.excerpt|raw }}</p>
                                    </div>
                                </div>
                            {% endif %}
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    {% else %}
        <div class="search-lists wrap">
            <div class="row animatedParent animateOnce">
                <div class="columns small-12">
                    <div class="search-lists holder">
                        <div class="search-lists results animated fadeInUpShort">
                            <div class="search-lists results content">
                                <h2>{{ 'No search results for this keyword.' |t }}</h2>
                            </div>
                         </div>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

{% endblock contents %}
